# Generated by Django 2.2.5 on 2019-10-21 17:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Departamentos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('departamento', models.CharField(max_length=20)),
                ('tag', models.SlugField()),
            ],
        ),
        migrations.CreateModel(
            name='Software',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=20)),
                ('funcion', models.CharField(max_length=140)),
                ('tag', models.SlugField()),
            ],
        ),
        migrations.CreateModel(
            name='Directorio',
            fields=[
                ('Software', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='sft.Software')),
                ('tag', models.SlugField()),
                ('departamento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sft.Departamentos')),
            ],
        ),
    ]
